package zander.library.media;

import java.awt.Component;
import java.io.File;
import java.io.IOException;

public interface MediaData {

    public byte[] loadRawBytes() throws IOException;

    public String getType();

    public Component createThumbnailComponent();

    public Component getViewerComponent();

    public File getSourceFile();

    public void setSourceFile(File file);

    public boolean hasSourceFile();

}
